<?php

namespace App\Interfaces;

use Illuminate\Support\Collection;

interface ProductSupplier {
	/**
	 * Return the traffic inclusion with the service
	 *
	 * @return mixed
	 */
	public function allowance(): Collection;

	/**
	 * Render the traffic inclusion as a string
	 *
	 * @return mixed
	 */
	public function allowance_string(): string;

	/**
	 * Return the product cost
	 *
	 * @return float
	 */
	public function getCostAttribute(): float;
}